### Method

# Adw Leaflet set_can_navigate_forward

deprecated: 1.4

#### Declaration [src]

    void
    adw_leaflet_set_can_navigate_forward (
      AdwLeaflet* self,
      gboolean can_navigate_forward
    )

#### Description [src]

Sets whether gestures and shortcuts for navigating forward are enabled.

The supported gestures are:

- One-finger swipe on touchscreens
- Horizontal scrolling on touchpads (usually two-finger swipe)
- Back/forward mouse buttons

The keyboard back/forward keys are also supported, as well as the `Alt`+`→` shortcut for horizontal orientation, or `Alt`+`↓` for vertical orientation.

If the orientation is horizontal, for right-to-left locales, gestures and shortcuts are reversed.

Only children that have `AdwLeafletPage:navigatable` set to `TRUE` can be navigated to.

Deprecated since: 1.4

See the migration guide.

Sets property | `Adw.Leaflet:can-navigate-forward`

#### Parameters

`can_navigate_forward`

  Type: `gboolean`

  The new value.